% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/loadGRanges.R
\name{loadGRanges}
\alias{loadGRanges}
\title{Load a GRanges}
\usage{
loadGRanges(info, project)
}
\arguments{
\item{info}{Named list containing the metadata for this object.}

\item{project}{Any argument accepted by the acquisition functions, see \code{?\link[alabaster.base]{acquireFile}}.
By default, this should be a string containing the path to a staging directory.}
}
\value{
A \linkS4class{GRanges} object.
}
\description{
Load a \linkS4class{GRanges} object based on the metadata saved by the corresponding \code{\link{stageObject}} method.
}
\examples{
gr <- GRanges(c("chrA", "chrB"), IRanges(c(1, 5), c(100, 200)))
seqlengths(gr) <- c(chrA=1000, chrB=2000)

# Staging it:
tmp <- tempfile()
dir.create(tmp)
info <- stageObject(gr, tmp, path="ranges")

# Now loading it back in:
loadGRanges(info, tmp)

}
